<%-- Head --%>
<%@page contentType="text/html;charset=utf-8" errorPage="../error.jsp"%>
<%-- include file --%>
<%@ include file="../inc/checklogin.jsp" %>
<%@ include file="../inc/import_package.jsp"%>
<%@ include file="../inc/getsysteminfo.jsp"%>
<%
    //给部分参数赋值
    String strErrorFrom = "user/user_edit.jsp";
    
    try
    //统一异常处理
    {
        WASGroup[] wasGroups = GroupManager.getGroups(wasConfig);
        WASRole[] wasRoles = RoleManager.getRoles(wasConfig);
        WASUser wasuser = UserManager.getUserById(wasConfig, request.getParameter("userid"));
        if (wasuser == null)
            throw new WASException("1001#没有找着指定的用户#user_edit.jsp#");
%>

<html>
	<head>
		<title>TRSWAS5.0</title>
		<meta http-equiv="content-type" content="text/html;charset=utf-8" />
		<script type="text/javascript" src="../js/jquery.min.js"></script>
		<script type="text/javascript" src="../js/jquery.form.js"></script>
		<link href="../css/was_style.css" rel="stylesheet" type="text/css" />
		<script>
			jQuery(document).ready(function() {
				var options = {
	       			beforeSubmit: checkForm,
	        		url: 'saveuser.jsp',
			        type: 'post',
			        success : function(){
						parent.window.location.href = parent.$("input[name='reloadurl']").val();
			        },
	   		        error: function(){
			        	parent.window.location.href("../error.jsp");
			        }
			    };
			    
			    $("#userform").submit(function() {
			        $(this).ajaxSubmit(options);
			        return false;
			    });
			});
		    
		    function checkForm()
		    {
		    	return true;
		    }
		</script>
	</head>
	<body>
		<form id="userform">
			<table cellpadding="1" cellspacing="8" style="width: 100%; margin-top:10px">
				<tr>
					<td align="right">
						用户名
					</td>
					<td>
						<input disabled name="username" type="text" align="left" style="width: 150px" value="<%= wasuser.getUserName() %>" />
						<input name="userid" type="hidden" value="<%= wasuser.getUserId() %>" />
					</td>
				</tr>
				<tr>
					<td align="right">
						用户所在组
					</td>
					<TD align="left" class=alt>
						<select name="group" style="width: 150px">
						<option value="">无</option>
							<%
							    for (int j = 0; j < wasGroups.length; j++)
						        {
							%>
									<option value="<%=WASTools.convOutput(wasGroups[j].getName())%>" <% if (wasGroups[j].getName().equals(wasuser.getUserGroup())) out.print("selected"); %>><%=WASTools.convOutput(wasGroups[j].getName())%></option>
							<%
							    }
							%>
						</select>
					</TD>
				</tr>
				<tr>
					<td align="right">
						用户所属角色
					</td>
					<TD align="left" class=alt>
						<select name="role" style="width: 150px">
						<option value="">无</option>
							<%
							    for (int j = 0; j < wasRoles.length; j++)
						        {
							%>
									<option value="<%=WASTools.convOutput(wasRoles[j].getRoleName())%>" <% if (wasRoles[j].getRoleName().equals(wasuser.getUserRole())) out.print("selected"); %> ><%=WASTools.convOutput(wasRoles[j].getRoleName())%></option>
							<%
							    }
							%>
						</select>
					</TD>
				</tr>
				<tr>
					<td align="right">
						备注
					</td>
					<td>
						<input maxlength="64" name="comment" type="text" align="left" style="width: 150px" value="<%= wasuser.getComment() %>" />
					</td>
				</tr>
				<tr><td colspan=2><hr></td></tr>
			</table>
			<div align="center" style="margin-top: 10px">
				<input type="submit" class="button" value="确定" />
				&nbsp; &nbsp;
				<input type="button" class="button" value="取消" onclick="parent.closeModalWin()" />
			</div>
		</form>
	</body>
</html>
<%
    }
    catch (WASException wase)
    {
        wase.setErrorFrom(strErrorFrom);
        session.setAttribute("was_exception", wase);
        throw wase;
    }
    catch (Exception e)
    {
        // 统一异常处理 处理错误部分
        WASException wase = new WASException("1001#内部错误#user_edit.jsp#" + e.getMessage()); //构造新的WASException对象
        wase.setErrorFrom(strErrorFrom);
        session.setAttribute("was_exception", wase);
        throw wase;
    }
    finally
    {
    }
%>