<!DOCTYPE HTML>
<%-- Head --%>
<%@page contentType="text/html;charset=utf-8" errorPage="../error.jsp"%>

<%-- include file --%>
<%@ include file="../inc/checklogin.jsp" %>
<%@ include file="../inc/import_package.jsp"%>
<%@ include file="../inc/getsysteminfo.jsp"%>
<%
	String sessionid = session.getId();
%>
<html>
	<head>
		<title>TRSWAS5.0</title>
		<meta http-equiv="content-type" content="text/html;charset=utf-8">
		<script type="text/javascript" src="../js/jquery.min.js"></script>
		<script type="text/javascript" src="../js/ui.core.js"></script>
		<script type="text/javascript" src="../js/ui.draggable.js"></script>
		<script type="text/javascript" src="../js/ui.dialog.js"></script>
		<script type="text/javascript" src="../js/ui.progressbar.js"></script>
		<script type="text/javascript" src="../js/jquery.timer.js"></script>
		<script type="text/javascript" src="../js/jquery.form.js"></script>
		<script type="text/javascript" src="../js/opendialog.js"></script>
		<script type="text/javascript" src="../js/checkbrowser.js"></script>
		<link type="text/css" href="../css/ui.all.css" rel="stylesheet" />
		<link href="../css/was_style.css" rel="stylesheet" type="text/css" />
		<link rel="stylesheet" type="text/css" href="../css/admin_dialog.css" />
		<style type="text/css">
			.ui-progressbar {height:9px;}
		</style>
		<script type="text/javascript">
		var flag = false;
		jQuery(document).ready(function() {
			$("#dialog").dialog({
                height: 200,
                width:500,
                autoOpen: false,
                modal: true
            });
			$("#div_list").css("height", parent.document.body.clientHeight - 191);
            
            $("#progressbar").progressbar({
				value: 0
			});
       		var options = {
       			beforeSubmit: checkForm,
        		url: 'loadrecord.jsp',
		        type: 'post',
   		        error: function(){
   		        	$('body').stopTime();
		        	window.location.href("../error.jsp");
		        }
		    };
		    
		    $("#loadform").submit(function() {
		        $(this).ajaxSubmit(options);

		        if (flag)
		        {
			        closeModalWin();
			        $("#progressbar").show();
			        $("#tips").append("正在上传文件:");
			        $('body').everyTime('1s',function(){
			        	$.ajax({
						   type: "POST",
						   async: false,
						   url: "uploadprogress",
						   success:function(data, textStatus){
						   		$("#progressbar").progressbar('option', 'value', data);
						   		if (data == 100)
						   		{
						   			$("#progressbar").hide();
						   			$("#tips").empty();
						   			$("#progressbar").progressbar('option', 'value', 0);
						   			$('body').stopTime();
						   			loadRecProgress();
					   			}
						   }
						});
					});
		        }
		        return false;
		    });
		    
		    $("a[name='indexdb']").click(function(){
		        if ($(this).attr("rel") == "disable")
			    {
				   switchdb($(this).text(), 1);
				   return;
				    
			    }
			    else
			    {
			    	$("input[name='indexdb']").val($(this).text());
			    	$("#tmp").submit();
			    }	    
		    });
	    });
	    
	    function loadRecProgress()
	    {
			$("#progressbar").show();
   			$("#tips").append("正在准备装库:");
	        $('body').everyTime('1s',function(){
	        	$.ajax({
				   type: "POST",
				   url: "intellectloadprogress",
				   success:function(data, textStatus){
				   		if (data == 100)
				   		{
				   			$("#progressbar").hide();
				   			$("#tips").empty();
				   			$("#progressbar").progressbar('option', 'value', 0);
				   			$('body').stopTime();
				   			window.location.reload();
			   			}
				   		else
				   		{
					   		var arrays = data.split("#");
					   		$("#tips").empty();
					   		$("#tips").append(arrays[0]);
					   		$("#progressbar").progressbar('option', 'value', arrays[1]);
				   		}
				   },
				   error:function (XMLHttpRequest, textStatus, errorThrown){
					   alert(XMLHttpRequest.responseText);
					   window.location.reload();
				   }
				});
			});
	    }
	    
        function checkForm()
		{			
			var name = jQuery.trim(form1.dbname.value);
			if(name == "")
			{
				alert("词库名称不能为空！");
				document.form1.dbname.focus();
				return false;
			}
			if (name.length > 32) {
				alert("词库名称最长为32个字符，请重新输入");
				document.form1.dbname.focus();
				return false;
			}
			var pattern = /^[\u4E00-\u9FA5\w]/;
			for(i = 0; i<name.length; i++)
			{
			  if(!pattern.test(name.charAt(i)))
			  {
			    alert("词库名称中含有非法字符" + name.charAt(i));
			    return false;
			  }
			}

			var nameexist = false;
			$.ajax({
			   type: "POST",
			   async: false,
			   url: "checkname.jsp",
			   data: {"name" : name},
			   success:function(data, textStatus){
			   },
			   error:function (XMLHttpRequest, textStatus, errorThrown) {
			   		 alert("已存在同名提示词库！");
			   		nameexist = true;
				}
			});

			if (nameexist) return false;
			
			if(form1.suggestfile.value == "")
			{
				alert("文件路径不能为空！");
				document.form1.suggestfile.focus();
				return false;
			}
			if(!checkFile())return false;

			flag = true;
			return true;
		}
		
		function checkAll()
		{
			if ($("input[name='chk_all']").attr("checked") == false)
				$("input[name='chk_roles']").attr("checked",false);
			else
				$("input[name='chk_roles']").attr("checked",true);
		}
		
		function deldb()
		{
			var dels = $("input[name='chk_roles']:checked");
			if (dels.length == 0) 
			{
				alert("请选择要删除的提示词库");
				return;
			}
				
			if (confirm('确实要删除选中的提示词库吗？'))
			{
				var dbs = "";
				for (var i = 0; i < dels.length; i++)
				{
					dbs += dels[i].value + ";";
				}
				
	        	$.ajax({
				   type: "POST",
				   url: "deldb.jsp",
				   data: "db="+ dbs +"",
				   success:function(data, textStatus){
				   		window.location.reload();
				   	},
				   error:function (XMLHttpRequest, textStatus, errorThrown) {
				   		  $('body').stopTime();
						  window.location.href("../error.jsp");
					}
				});
			}
		}
		
		function switchdb(db, option)
		{
        	$.ajax({
			   type: "POST",
			   url: "switch.jsp?sessionid=<%= sessionid %>",
			   data: "db="+ encodeURIComponent(db) +"&option="+ option +"",
			   beforeSend : function () {
			   		if (option == 0)
			   		{
			   			return confirm("确认停用词库" + db + "?");
			   		}
			   		if (option == 1)
			   		{
			   			return confirm("确认启用词库" + db + "?");
			   		}
				},
			   success:function(data, textStatus){
			   		window.location.reload();
			   	},
			   error:function (XMLHttpRequest, textStatus, errorThrown) {
			   		  $('body').stopTime();
					  window.location.href("../error.jsp");
				}
			});
		}

		function checkFile()
		{
			var filename = $("#files").val();
		    var c = filename.lastIndexOf(".");
		    if(c == -1 || (filename.substring(c, filename.length).toLowerCase() != ".txt"))
		    {
		        alert("上传文件类型不正确。请选择.txt类型的文件。");
		        return false;			             
		    }
		    return true;
		}

		function newsugdb()
		{
			$("#loadform").clearForm();
			var org = document.getElementById("files");
			var tmp= org.cloneNode(false);
			tmp.onchange= org.onchange;// events are not cloned 
			org.parentNode.replaceChild(tmp, org);
			openModalWin('', 500, 200, '新建提示词库');
		}

		function getRecords(db)
		{
			
		}
		</script>
	</head>
	<body style="margin: 0; padding: 0; padding-top: 3px;">
		<table style="margin:0" width="100%" border="0" cellspacing="0"
			cellpadding="0">
			<tr style="height: 6px">
				<td width="5px" background="../images/j_1.png"
					style="background-position: right bottom; background-repeat: no-repeat"></td>
				<td background="../images/j_2.png"
					style="background-position: bottom; background-repeat: repeat-x"></td>
				<td width="5px" background="../images/j_3.png"
					style="background-position: bottom; background-repeat: repeat-x"></td>
			</tr>
			<tr>
				<td background="../images/j_4.png">
					<img src="../images/j_4.png" width="5" height="1" />
				</td>
				<td valign="top">
					<table class="tab_table" cellspacing="0" cellpadding="0" style="width:100%"
						>
						<tr>
							<th class="font14">
								- 提示词库管理 -
							</th>
						</tr>
						<tr valign="top">
							<td class="td_bg">
								<table border="0" cellspacing="0" cellpadding="0" style="width:100%">
									<tr>
										<td style="width: 5px" background="../images/jt4.png"
											class="border_td_r">
											<img src="../images/jt4.png" />
										</td>
										<td bgcolor="#FFFFFF">
											<table class="list_table" style="width:100%;">
												<tr>
												<td style="border:none; width:100%" colspan="3">																
													<table style="width:100%; margin:0px; border: none" class="bus_list_tableth">
														<tr>
															<th style="width: 50px" align="center">
																<input type="checkbox" name="chk_all"
																	onclick="checkAll()" />
															</th>
															<th style="width: 100px" align="center">
																状态
															</th>
															<th style="width: 300px; text-align: left" align="left">
																&nbsp;&nbsp;词库名称
															</th>
															<th style="text-align: left" align="left">
																&nbsp;&nbsp;词库路径
															</th>
														</tr>
													</table>
													<script>setTableByBrowserVersion();</script>
												</td>																
												</tr>
												<tr>
													<td style="border:none;" colspan="4"><div id="div_list" style="width: 100%; height: 320px; border-right: hidden; overflow-x: hidden; overflow-y: scroll; margin:0px;">
													<table style="width:100%; margin:0px; border: none" class="bus_list_tabletd">
													<%
														Vector dbList = IntellectUtil.getIndexDB();
														for(int i = 0; i < dbList.size(); i++)
														{
														    String dbName = (String)dbList.elementAt(i);
													%>
													<tr <% if ((i % 2) != 0) out.print("class=bus_list_tabletd_bg"); %>>
														<td style="width: 50px" align="center">
															<input type="checkbox" name="chk_roles" value="<%= dbName %>"/>
														</td>
														<td style="width: 100px" align="center">
															<% if (IntellectUtil.isEnable(dbName)) {%>
															<img style="cursor: pointer;" title="已启用 点击关闭词库"
																src="../images/turn_on.gif"
																onclick="switchdb('<%= dbName %>', '0')" />
															<%} else{ %>
															<img style="cursor: pointer;" title="已停用 点击启用词库"
																src="../images/turn_off.gif"
																onclick="switchdb('<%= dbName %>', '1')" />
															<%} %>
														</td>
														<td style="width: 300px; text-align: left">
															<% if (IntellectUtil.isEnable(dbName)) {%>
															&nbsp;&nbsp;<a name="indexdb" rel="enable" style="cursor: pointer"><%= dbName %></a>
															<%} else{ %>
															&nbsp;&nbsp;<a name="indexdb" rel="disable" style="cursor: pointer"><%= dbName %></a>
															<%} %>
														</td>
														<td style="text-align: left">
															&nbsp;&nbsp;<%= "/WEB-INF/index/" + dbName %>
														</td>
													</tr>
												<% } %>
												</table></div>
												</td></tr>																							
												<tr>
												
													<td style="width:200px; border:none">
														<div style="cursor: pointer"><nobr>
															<span class="tools" title="新建提示词库"><a id="a_add"
																onclick="newsugdb()"><img
																		src="../images/add_ico.png" /> 新建</a> </span>&nbsp;&nbsp;
															<span class="tools" title="删除选中的提示词库"><a
																id="a_del" onclick="deldb()"><img
																		src="../images/delete_ico.png" /> 删除</a> </span></nobr>
														</div>
													</td>
													<td style="font-size:9pt; width:260px; border:none; padding-left:20px">
														<div id="tips" style="width:235px;"></div>
													</td>
													<td style="border:none; width:100%">
														<div style="display:none" id="progressbar"></div>
													</td>
													<td style="border:none">														
													</td>
												</tr>
											</table>
										</td>
										<td style="width: 5px" background="../images/jt5.png">
											<img src="../images/jt5.png" width="5" height="1" />
										</td>
									</tr>
									<tr height="7">
										<td background="../images/jt6.png"
											style="background-position: right top; background-repeat: no-repeat"></td>
										<td background="../images/jt7.png"
											style="background-position: top; background-repeat: repeat-x"></td>
										<td background="../images/jt8.png"
											style="background-position: top; background-repeat: repeat-x"></td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
				<td background="../images/j_5.png">
					<img src="../images/j_5.png" width="5" height="1" />
				</td>
			</tr>
			<tr height="6px">
				<td background="../images/j_6.png"
					style="background-position: right top; background-repeat: no-repeat"></td>
				<td background="../images/j_7.png"
					style="background-position: top; background-repeat: repeat-x"></td>
				<td background="../images/j_8.png"
					style="background-position: top; background-repeat: repeat-x"></td>
			</tr>
		</table>
		<div id="dialog" title="设置">
			<form id="loadform" name="form1" enctype="multipart/form-data" action="">
			<table cellpadding="1" cellspacing="5" class="from_table"
				style="width: 100%; margin:0;margin-top: 10px">
				<tr>
					<td align="right" width="20%">
						词库名称
					</td>
					<td>
						<input name="dbname" class="input_text" type="text" />
					</td>
				</tr>
				<tr>
					<td align="right">
						导入词条文件<br><font color="red">(.txt格式文件)</font>				
					</td>
					<td>
					<input id="files" name="suggestfile" class="input_text" type="file" contenteditable="false" onchange="checkFile()"></td>
				</tr>
				<tr>
					<td align="right">文件编码</td>
					<td>
						<select title="文本文件的编码" name="fileencoding" class="input_text" style="width:100px">
							<option value="GBK">GBK</option>
							<option value="UTF-8">UTF-8</option>
						</select>
					</td>
				</tr>
				<tr><td colspan="2"><hr></td></tr>
				<tr>
					<td colspan="2" align="center">
					<input id="ok" type="submit" class="button" value="确定" />
					&nbsp; &nbsp;
					<input id="cancel" type="button" class="button" value="取消" onclick="closeModalWin()" />
					</td>
				</tr>
			</table>
		</form>
		</div>
		<form method="post" action="word_manager.jsp" id="tmp" style="display:none">
			<input name="indexdb" type="text" value="" />
			<input name="query" type="text" value="" />
			<input name="sessionid" type="text" value="<%= sessionid %>" />
		</form>
	</body>
</html>
